List Sessions
List sessions for the authenticated account.
Authorization
ApiKey X-API-Key<token>
The account key.
In: header
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/sessions"{
"sessions": [
{
"id": "string",
"state": "string",
"engine": "string",
"country": "string",
"exit_ip": "string",
"exit_warning": "string",
"error": "string",
"ended_reason": "string",
"created_at": 0,
"expires_at": 0,
"failed_at": 0,
"idle_timeout_seconds": 0,
"clients": 0,
"live": true,
"live_viewers": 0,
"cdp_traffic": {
"to_browser": 0,
"from_browser": 0
},
"pages": 0,
"soft_navigations": 0,
"blocking": [
"string"
],
"memory": {
"percent": 0,
"high_water_pct": 0,
"tabs_closed": [
null
]
},
"warm_cookies": 0,
"profile": "string",
"profile_loaded": true,
"profile_saved": true,
"profile_note": "string",
"record": true,
"recording": {
"active": true,
"seconds": 0,
"frames": 0,
"bytes": 0,
"error": "string"
},
"recording_url": "string",
"recording_saved": true,
"extensions": {
"property1": "string",
"property2": "string"
},
"webgl": "string",
"connect_url": "string",
"ws_url": "string",
"live_url": "string",
"live_view_url": "string",
"seconds_left": 0,
"proxy_bytes": 0
}
],
"warning": "string",
"plan": {
"name": "string",
"max_sessions": 0,
"max_ttl_seconds": 0,
"max_session_mb": 0,
"monthly_gb": 0,
"warn_at_pct": 0,
"engines": [
"string"
],
"sessions_in_use": 0,
"slots_in_use": 0,
"slots_max": 0,
"block_resources_default": [
"string"
],
"usage": {
"period": "string",
"resets": "string",
"traffic_bytes_used": 0,
"traffic_gb_used": 0,
"traffic_gb_limit": 0,
"traffic_gb_left": 0,
"usage_pct": 0,
"warn_at_pct": 0,
"price_per_gb": 0,
"monthly_spend": 0,
"spent": 0
}
}
}{
"code": "string",
"detail": "string"
}{
"code": "string",
"detail": "string"
}{
"code": "string",
"detail": "string"
}Was this page helpful?